<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE article PUBLIC "-//OASIS//DTD Docbook XML V4.1.2//EN"
	"http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
<article>

<articleinfo>
<title>mutt-ja patch extension manual</title>
<authorgroup>
<corpauthor>mutt-j ML development team</corpauthor>
</authorgroup>
<copyright>
  <year>2000</year>
  <year>2001</year>
  <year>2002</year>
  <year>2003</year>
  <year>2004</year>
  <holder>TAKIZAWA Takashi &#60;taki@cyber.email.ne.jp&#62;</holder>
</copyright>
<copyright>
  <year>2000</year>
  <holder>Yukinori YOSHIDA &#60;yyo@pjs.nevt.nec.co.jp&#62;</holder>
</copyright>
<copyright>
  <year>2000</year>
  <holder>Kawaguti Ginga &#60;ginga@ginganet.org&#62;</holder>
</copyright>
</articleinfo>

<sect1>
<title>ja patch extension manual</title>
<sect2>
<title>configuration variables</title>
<sect3>
<title>assumed_charset</title>
<para>
<programlisting>
Type: string
Default: "us-ascii"
</programlisting>
</para>
<para>
This variable is a colon-separated list of character encoding schemes for
messages without character encoding indication. Header field values and message
body content without character encoding indication would be assumed that they
are written in one of this list. By default, all the header fields and message
body without any charset indication are assumed to be in "us-ascii". For
example, Japanese users might prefer this:
</para>
<para>
<programlisting>
  set assumed_charset="iso-2022-jp:euc-jp:shift_jis:utf-8"
</programlisting>
</para>
<para>
However, only the first content is valid for the message body. This variable is
valid only if $strict_mime is unset.
</para>
</sect3>
<sect3>
<title>create_rfc2047_parameters</title>
<para>
<programlisting>
Type: boolean
Default: no
</programlisting>
</para>
<para>
When this variable is set, Mutt will add the following RFC-2047-encoded MIME
parameter to Content-Type header field as filename for attachment:
</para>
<para>
<programlisting>
  name="=?iso-2022-jp?B?GyRCO244MxsoQi50eHQ=?="
</programlisting>
</para>
<para>
Note: this use of RFC 2047's encoding is explicitly prohibited by the standard.
You may set this variable only if a mailer of recipients can not parse RFC 2231
parameters. This variable is valid only if $strict_mime is unset.
</para>
</sect3>
<sect3>
<title>delete_prefix</title>
<para>
<programlisting>
Type: boolean
Default: no
</programlisting>
</para>
<para>
If set, prefix in Subject: field generated by some mailing lists (something
like "Subject: [foo-ML:0012] real-subject") can be deleted when displaying in
index-mode and editing in message reply. Deletion pattern can be configured by
$delete_regexp variable.
</para>
</sect3>
<sect3>
<title>delete_regexp</title>
<para>
<programlisting>
Type: regular expression
Default: "^(\[[A-Za-z0-9_.: \-]*\][ ]*)"
</programlisting>
</para>
<para>
A regular expression used in $delete_prefix function.
</para>
</sect3>
<sect3>
<title>file_charset</title>
<para>
<programlisting>
Type: string
Default: ""
</programlisting>
</para>
<para>
This variable is a colon-separated list of character encoding schemes for text
file attatchments. If unset, $charset value will be used instead. For example,
the following configuration would work for Japanese text handling:
</para>
<para>
<programlisting>
  set file_charset="iso-2022-jp:euc-jp:shift_jis:utf-8"
</programlisting>
</para>
<para>
Note: "iso-2022-*" must be put at the head of the value as shown above if
included.
</para>
</sect3>
<sect3>
<title>mh_path</title>
<para>
<programlisting>
Type: path
Default: ""
</programlisting>
</para>
<para>
If set, folder detection routine considers any subdirectory under "mh_path"
directory as an MH folder even if no other MH folder marker (like "cur"
subdirectory for MAILDIR folder, or .mh_sequences for MH folder) is found in
this directory AND no subdirectory exists beneath this directory. Useful to
decrease "xxx is not a mailbox." error for those who are using some other
semi-MH-compatible mailer or dealing with MH folder by one's own shell script.
</para>
</sect3>
<sect3>
<title>msgid</title>
<para>
<programlisting>
Type: boolean
Default: yes
</programlisting>
</para>
<para>
Mutt will generate Message-ID: field by itself when set(default). Unset to let
MTA generate Message-ID: field.
</para>
</sect3>
<sect3>
<title>msgid_use_from</title>
<para>
<programlisting>
Type: boolean
Default: yes
</programlisting>
</para>
<para>
Use $from value instead of $hostname for Message-ID: generation. Uniqueness of
Message-ID: increases (especially for dialup-users).
</para>
<para>
For example, the following setting
</para>
<para>
<programlisting>
    set msgid_use_from=yes
    set realname="foo bar"
    set from="foo@example.org"
</programlisting>
</para>
<para>
generates these From:/Message-ID: fields:
</para>
<para> 
<programlisting>
    Message-ID: &#60;20000907080905.A5250%foo@example.org&#62;
    From: Foo Bar &#60;foo@example.org&#62;
</programlisting>
</para>
</sect3>
<sect3>
<title>pager_hdrs_only</title>
<para>
<programlisting>
Type: boolean
Default: no
</programlisting>
</para>
<para>
Determines whether to display message body immediately. When set, only headers
are displayed first, and message body is shown after page scroll or line scroll
are done.
</para>
</sect3>
<sect3>
<title>pager_spoil</title>
<para>
<programlisting>
Type: boolean
Default: no
</programlisting>
</para>
<para>
Determines the style of $pager_hdrs_only. When set, message body characters are
substituted by the characters by $pager_spoiler. Empty lines are shown when not
set.
</para>
<para>
Note: When not set, line count of message body is calculated according to the
lines of the original message. File atattchments or displaying in a mismatch
between the empty-line count and the line count of the message actually
displayed.
</para>
</sect3>
<sect3>
<title>pager_spoiler</title>
<para>
<programlisting>
Type: string
Default: "*"
</programlisting>
</para>
<para>
Specify substituting character for $pager_hdrs_only and $pager_spoil. (valid
only if both are set)
</para>
</sect3>
<sect3>
<title>sanitize_ja_chars</title>
<para>
<programlisting>
Type: boolean
Default: no
</programlisting>
</para>
<para>
When set, Japanese "platform dependent characters" (illegal characters for
iso-2022-jp charset; mainly used by MS-Windows mailers) are substituted to
special character, GETA mark ('ESC $ B " . ESC ( B' in iso-2022-jp), and JIS X
0201 kana characters (only for "ESC ) I" cases) are also substituted to "?" to
prevent garbage characters. JIS X 0201 kana characters are not substituted if
they appear in 8bit form.
</para>
<para>
This fixes another Japanese encoding issue. In case $charset is set to
"EUC-JP", which does not contain JIS X 0201 roman character set, the JIS X 0201
roman part of received messages encoded in iso-2022-jp can not be converted to
EUC-JP. On the other hand, the ASCII part can not be converted to Shift_JIS,
which does not contain ASCII character set. Thus, the converted characters are
garbled in these cases. When this option is set, the JIS X 0201 roman escape
sequence and the ASCII escape sequence are replaced appropriately to prevent
the output from being garbled.
</para>
</sect3>
<sect3>
<title>strict_mime</title>
<para>
<programlisting>
Type: boolean
Default: yes
</programlisting>
</para>
<para>
When unset, non MIME-compliant messages that doesn't have any charset
indication in Content-Type: field can be displayed (non MIME-compliant messages
are often generated by old mailers or buggy mailers like MS Outlook Express).
See also $assumed_charset.
</para>
<para>
This option also replaces linear-white-space between encoded-word and *text to
a single space to prevent the display of MIME-encoded Subject: field from being
devided into multiple lines.
</para>
</sect3>
<sect3>
<title>tree_chars</title>
<para>
<programlisting>
Type: boolean
Default: no
</programlisting>
</para>
<para>
Many terminals not compatible with vt-100 can't display ACS-characters. This
option can set any character for displaying tree structure in index-thread or
file-attatchments. For example, Japanese users can use JIS X 0208 ruled line
characters for this purpose. The characters actually used are set by
$tree_llcorner, $tree_ulcorner, $tree_ltee, $tree_hline, $tree_vline,
$tree_ttee, $tree_btee, $tree_space, $tree_rarrow, $tree_star, $tree_hidden,
$tree_equals and $tree_missing variables. These values must be written in the
same encoding as the $charset value. When $tree_chars is not set (default), the
characters with $ascii_chars are used.
</para>
<para>
Example:
</para>
<para>
<programlisting>
  set tree_chars=yes
  set tree_llcorner="`"
  set tree_ulcorner=","
  set tree_ltee="|"
  set tree_hline="-"
  set tree_vline="|"
  set tree_ttee="-"
  set tree_btee="-"
</programlisting>
</para>
</sect3>
<sect3>
<title>tree_llcorner</title>
<para>
<programlisting>
Type: string
Default: "`"
</programlisting>
</para>
<para>
See $tree_chars.
</para>
</sect3>
<sect3>
<title>tree_ulcorner</title>
<para>
<programlisting>
Type: string
Default: ","
</programlisting>
</para>
<para>
See $tree_chars.
</para>
</sect3>
<sect3>
<title>tree_ltee</title>
<para>
<programlisting>
Type: string
Default: "|"
</programlisting>
</para>
<para>
See $tree_chars.
</para>
</sect3>
<sect3>
<title>tree_hline</title>
<para>
<programlisting>
Type: string
Default: "-"
</programlisting>
</para>
<para>
See $tree_chars.
</para>
</sect3>
<sect3>
<title>tree_vline</title>
<para>
<programlisting>
Type: string
Default: "|"
</programlisting>
</para>
<para>
See $tree_chars.
</para>
</sect3>
<sect3>
<title>tree_ttee</title>
<para>
<programlisting>
Type: string
Default: "-"
</programlisting>
</para>
<para>
See $tree_chars.
</para>
</sect3>
<sect3>
<title>tree_btee</title>
<para>
<programlisting>
Type: string
Default: "-"
</programlisting>
</para>
<para>
See $tree_chars.
</para>
</sect3>
<sect3>
<title>tree_space</title>
<para>
<programlisting>
Type: string
Default: " "
</programlisting>
</para>
<para>
See $tree_chars.
</para>
</sect3>
<sect3>
<title>tree_rarrow</title>
<para>
<programlisting>
Type: string
Default: ">"
</programlisting>
</para>
<para>
See $tree_chars.
</para>
</sect3>
<sect3>
<title>tree_star</title>
<para>
<programlisting>
Type: string
Default: "*"
</programlisting>
</para>
<para>
See $tree_chars.
</para>
</sect3>
<sect3>
<title>tree_hidden</title>
<para>
<programlisting>
Type: string
Default: "&#38;"
</programlisting>
</para>
<para>
See $tree_chars.
</para>
</sect3>
<sect3>
<title>tree_equals</title>
<para>
<programlisting>
Type: string
Default: "="
</programlisting>
</para>
<para>
See $tree_chars.
</para>
</sect3>
<sect3>
<title>tree_missing</title>
<para>
<programlisting>
Type: string
Default: "?"
</programlisting>
</para>
<para>
See $tree_chars.
</para>
</sect3>
<sect3>
<title>use_jisx0208</title>
<para>
<programlisting>
Type: boolean
Default: yes
</programlisting>
</para>
<para>
When set, Mutt will decide that Symbols, Greek and Cyrillic in JIS X 0208 have
a column width of 2 in UTF-8 locale.
</para>
</sect3>
</sect2>
</sect1>
</article>

